<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">
    <!--
        Added the constraints for entity ProspectOrganizationDetails.
    -->
    <changeSet id="20170101000000-2" author="jhipster">
        
        <addForeignKeyConstraint baseColumnNames="idpersonowner"
                                 baseTableName="prospect_organization_detail"
                                 constraintName="fk_prospect_organization_details_person_id"
                                 referencedColumnNames="idparty"
                                 referencedTableName="person"/>

        <addForeignKeyConstraint baseColumnNames="idproduct"
                                 baseTableName="prospect_organization_detail"
                                 constraintName="fk_prospect_organization_details_product_id"
                                 referencedColumnNames="idproduct"
                                 referencedTableName="motor"/>

        <addForeignKeyConstraint baseColumnNames="idcolor"
                                 baseTableName="prospect_organization_detail"
                                 constraintName="fk_prospect_organization_details_color_id"
                                 referencedColumnNames="idfeature"
                                 referencedTableName="feature"/>

    </changeSet>
</databaseChangeLog>
